Bug 21612 - rp3 not initializing router table
rp3 not initializing router table
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-01 23:15 EST by Ralph Menikoff
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Menikoff 2000-12-01 23:15:46 EST
rp3-config setup ppp connection with external modem and rp3 is working.
Then use rp3-config to activate  "begin connection when computer is turned
on".
1. with rp3-config open when rp3 is used to activate network,
 it crashes with message window: application "rp3" has crashed due to a
fatal error
(segmentation fault)
2. When computer boots up rp3-config lists status as connected but network
doesn't work.
But when I execute  route, after delay of about a minute, routing table is
listed and
network does work.  But  rp3-config shows "begin connection when computer
is
turned on" as deactivated. 
3. Next I tried disconnecting and closed both rp3 and rp3-conf. 
Upon restarting rp3 it give warning window "Failed to activate interface"
and terminal messages
Gtk-WARNING **: invalid cast from `(unknown)' to `GtkProgressBar'
Gtk-CRITICAL **:  file gtkprogressbar.c: line 751
(gtk_progress_bar_update): assertion
  `GTK_IS_PROGRESS_BAR (pbar)' failed.
Network is  not connected but if I execute route it lists table and then
network works again.

It appears that rp3 is not initializing router table correctly.
Will Jones is handling service request and suggested I submit bug report

I have new Dell precision workstation and an external isdn TA modem
connected
to serial port.
Comment 1 Ralph Menikoff 2000-12-24 12:08:19 EST
I am beginning to learn how to use bugzilla query.
The problem I reported appears similar to others, in particular 20324.
I have run some experiments to get some clues.
I set up two connections
west1 was initialized by rp3-config
uswest was initialized by rp3-config and then edited.
west1 works.  It starts both /usr/sbin/pppd and /sbin/ppp-watch
and route shows connection through ppp0
uswest does not work.  It starts only /usr/sbin/pppd
It can be activated by executing ping
After 30 to 60 second ping reports a failure but it actually
pulsed the system to initialize and executing ping a second time works.
Starting by hand ppp-watch ppp1, or ifup ppp1 activates the network.
However, ppp-watch ppp0 is infinite loop starting pppd over and over.
This suggests there maybe come confusion as to ppp number
or ppp3-config is not initializing some files correctly.
I would be glad to run other diagnostic tests or send system log file entries
if that would be of help.
Comment 2 Bill Nottingham 2006-08-07 13:40:42 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 10:40:52 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.